[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| LocalMinmaxOptions Class Reference Local Minima and Maxima |

Options object for localMinima() and localMaxima(). More...

`#include <vigra/localminmax.hxx>`

List of all members.

## Public Member Functions
LocalMinmaxOptions & | allowAtBorder (bool f=true)
| Detect extrema at the image border.
LocalMinmaxOptions & | allowPlateaus (bool f=true)
| Allow extremal plateaus.
| LocalMinmaxOptions ()
| Construct default options object.
LocalMinmaxOptions & | markWith (double m)
| Mark extrema in the destination image with the given value.
LocalMinmaxOptions & | neighborhood (unsigned int n)
| Use the given neighborhood.
LocalMinmaxOptions & | threshold (double t)
| Threshold the extrema.

## Detailed Description

Options object for localMinima() and localMaxima().

Usage:

#include <vigra/localminmax.hxx>
Namespace: vigra

        vigra::BImage src(w,h), minima(w,h);
        ... // fill src

        // use 4-neighborhood, allow minima at the image border,
        // and discard those where the gray value is not below 5
        vigra::localMinima(srcImageRange(src), destImage(minima),
                           vigra::LocalMinmaxOptions().neighborhood(4).allowAtBorder().threshold(5));

## Constructor & Destructor Documentation

LocalMinmaxOptions | ( |  | ) |

Construct default options object.

Defaults are: marker value '1', no threshold, indirect neighborhood, don't allow extrema at border and extremal plateaus.

## Member Function Documentation

LocalMinmaxOptions& neighborhood | ( | unsigned int | n | ) |

Use the given neighborhood.

The value '0' indicates direct neighborhood (i.e. 4-neighborhood in 2D, 6-neighborhood in 3D, 2*N neighborhood in N-D), the value '1' indicates indirect neighborhood (i.e. 8-neighborhood in 2D, 26-neighborhood in 3D, 3N-1 neighborhood in N-D). The specific number of neighbors for the desired dimension can also be used.

Default: 1 (indirect neighborhood)

LocalMinmaxOptions& markWith | ( | double | m | ) |

Mark extrema in the destination image with the given value.

Default: 1

LocalMinmaxOptions& threshold | ( | double | t | ) |

Threshold the extrema.

Discard minima whose gray value is not below the threshold. and maxima whose gray level is not above the threshold.

Default: don't threshold (i.e. return all extrema)

LocalMinmaxOptions& allowAtBorder | ( | bool | f = `true` | ) |

Detect extrema at the image border.

Default: false

LocalMinmaxOptions& allowPlateaus | ( | bool | f = `true` | ) |

Allow extremal plateaus.

That is regions of constant gray value whose neighbors are all higher (minima) or lower than the value of the region.

Default: false

The documentation for this class was generated from the following file:

- vigra/localminmax.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)